summaryrefslogtreecommitdiff
path: root/UNI/run-paper-strong-full.sh
diff options
context:
space:
mode:
Diffstat (limited to 'UNI/run-paper-strong-full.sh')
-rwxr-xr-xUNI/run-paper-strong-full.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/UNI/run-paper-strong-full.sh b/UNI/run-paper-strong-full.sh
new file mode 100755
index 0000000..9e5ac97
--- /dev/null
+++ b/UNI/run-paper-strong-full.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+echo "prim-benchmarks UNI strong-full (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 256 512 1024 2048; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 251658240 -x 1 || true
+ fi
+ done
+done | tee log-paper-strong-full.txt